# GmpBigInteger Class Reference
[Mathematical utilities]

Inheritance diagram for GmpBigInteger:
[legend]

List of all members.

## Public Member Functions

| add (BigInteger $x)
| compareTo (BigInteger $x)
| mod (BigInteger $mod)
| pow (BigInteger $exp)
| modPow (BigInteger $exp, BigInteger $mod)
| subtract (BigInteger $x)
| mul (BigInteger $x)
| div (BigInteger $x)
| toString ()
| toBinary ()
| convert to big-endian signed two's complement notation
| intValue ()
| floatValue ()

## Static Public Member Functions

static | make ($number, $base=10)
static | getFactory ()
static | makeFromBinary ($binary)

## Private Attributes

| $resource = null

## Detailed Description

Definition at line 15 of file GmpBigInteger.class.php.

## Member Function Documentation

GmpBigInteger::add | ( | BigInteger $ | x | ) |

Returns:
  GmpBigInteger

Implements BigInteger.

Definition at line 70 of file GmpBigInteger.class.php.

Referenced by makeFromBinary().

GmpBigInteger::compareTo | ( | BigInteger $ | x | ) |

Implements BigInteger.

Definition at line 77 of file GmpBigInteger.class.php.

GmpBigInteger::div | ( | BigInteger $ | x | ) |

Returns:
  GmpBigInteger

Implements BigInteger.

Definition at line 146 of file GmpBigInteger.class.php.

GmpBigInteger::floatValue | ( |  | ) |

Implements BigInteger.

Definition at line 199 of file GmpBigInteger.class.php.

References pow().

Here is the call graph for this function:

static GmpBigInteger::getFactory | ( |  | ) | `[static]`

Returns:
  GmpBigIntegerFactory

Implements BigInteger.

Definition at line 35 of file GmpBigInteger.class.php.

References GmpBigIntegerFactory::me().

Here is the call graph for this function:

GmpBigInteger::intValue | ( |  | ) |

Implements BigInteger.

Definition at line 187 of file GmpBigInteger.class.php.

static GmpBigInteger::make | ( | $ | number,
|  | $ | base = `10` |
| ) |  |  | `[static]`

Returns:
  GmpBigInteger

Definition at line 22 of file GmpBigInteger.class.php.

References Assert::isTrue().

Referenced by makeFromBinary(), and GmpBigIntegerFactory::makeNumber().

Here is the call graph for this function:

static GmpBigInteger::makeFromBinary | ( | $ | binary | ) | `[static]`

Returns:
  GmpBigInteger

Definition at line 43 of file GmpBigInteger.class.php.

References add(), make(), and mul().

Here is the call graph for this function:

GmpBigInteger::mod | ( | BigInteger $ | mod | ) |

Returns:
  GmpBigInteger

Implements BigInteger.

Definition at line 92 of file GmpBigInteger.class.php.

GmpBigInteger::modPow | ( | BigInteger $ | exp,
|  | BigInteger $ | mod |
| ) |  |  |

Returns:
  GmpBigInteger

Implements BigInteger.

Definition at line 112 of file GmpBigInteger.class.php.

GmpBigInteger::mul | ( | BigInteger $ | x | ) |

Returns:
  GmpBigInteger

Implements BigInteger.

Definition at line 136 of file GmpBigInteger.class.php.

Referenced by makeFromBinary().

GmpBigInteger::pow | ( | BigInteger $ | exp | ) |

Returns:
  GmpBigInteger

Implements BigInteger.

Definition at line 102 of file GmpBigInteger.class.php.

References BigInteger::intValue().

Referenced by floatValue().

Here is the call graph for this function:

GmpBigInteger::subtract | ( | BigInteger $ | x | ) |

Returns:
  GmpBigInteger

Implements BigInteger.

Definition at line 126 of file GmpBigInteger.class.php.

GmpBigInteger::toBinary | ( |  | ) |

convert to big-endian signed two's complement notation

Implements BigInteger.

Definition at line 158 of file GmpBigInteger.class.php.

GmpBigInteger::toString | ( |  | ) |

Implements Stringable.

Definition at line 153 of file GmpBigInteger.class.php.

## Member Data Documentation

GmpBigInteger::$resource = null`[private]`

Definition at line 17 of file GmpBigInteger.class.php.

The documentation for this class was generated from the following file:

- main/Math/GmpBigInteger.class.php